# špeciálny spôsob volania funkcie cez bodkovú notáciu


teploty=[23,24,25,25,24.5,23.5,25.5,26,25.5,25,24]

# metóda count() je immutable                                                                      # metóda count(hodnota) vráti počet výskytov danej hodnoty v zozname

teploty.count(25)
print('V zozname',teploty,'sa hodnota 25 nachadza', teploty.count(25),'krat')                            

pismena=['a','A','d','C']
print('V zozname',pismena,'sa znak \'a\' nachadza', pismena.count('a'),'krat') 


pocet=[75,65,71,68,72,76,68,71,68,72,73,69].count(72)
print('V zozname sa hodnota 72 nachadza',pocet,'krat')                                             # metódu count môžeme použiť aj priamo s hodnotou zoznam   





# metóda index() je immutable                                                                      # metóda index(hodnota) vráti index prvého výskytu danej hodnoty v zozname

print('V zozname',teploty,'sa hodnota 25 prvykrat nachadza na pozicii', teploty.index(25))
print('V zozname',teploty,'sa hodnota 22 prvykrat nachadza na pozicii', teploty.index(22))         # ak sa daná hodnota v zozname nenachádza, metóda spadne na chybe



# metóda append() je mutable                                                                       # metóda append(hodnota) pridá na koniec zoznamu nový prvok a tým zoznam predĺži o 1
                                                                                                   # metóda nič nevracia, a preto nemá zmysel priraďovať jej volanie do nejakej premennej 
teploty.append(23)
print('Zoznam upraveny o pridanu novu hodnotu 23 na konci zoznamu ma tvar:', teploty)  

[75,65,71,68,72,76,68,71,68,72,73,69].append(70)                                                   # nemá zmysel volať túto metódu append() s hodnotou typu zoznam namiesto premennej
                                                                                                   # nemáme šancu zistiť ako vyzerá daný zoznam s pridaným prvkom



# metóda pop() bez indexu je mutable                                                               # metóda pop() odoberie z konca zoznamu posledný prvok a tým zoznam skráti o 1
                                                                                                   # metóda nič nevracia, a preto nemá zmysel priraďovať jej volanie do nejakej premennej 
teploty.pop()
print('Zoznam upraveny o odobranu poslednu hodnotu 23 ma tvar:', teploty)  
print('Prazdny zoznam upraveny o odobranu poslednu hodnotu ma tvar:', list().pop())                # ak bol zoznam prázdny, tak funkcia nič nevracia ale spadne na chybe




# metóda insert() je mutable                                                                       # metóda insert(index,hodnota) pridá na dané miesto zoznamu nový prvok a tým zoznam predĺži o 1
                                                                                                   # metóda nič nevracia, a preto nemá zmysel priraďovať jej volanie do nejakej premennej
teploty.insert(1,50)
print('Zoznam upraveny na pozicii 1 o pridanu novu hodnotu 50 ma tvar:', teploty) 

teploty.insert(20,100)
print('Zoznam upraveny na poslednej pozicii o pridanu novu hodnotu 100 ma tvar:', teploty)         # ak je index > len(zoznam)-1, tak robí to isté ako metóda append(hodnota)

teploty.insert(-1,90)
print('Zoznam upraveny na predposlednej pozicii o pridanu novu hodnotu 90 ma tvar:', teploty) 



# metóda pop() je mutable                                                                          # metóda pop(index) odoberie zo zoznamu príslušný prvok (daný indexom) a zoznam sa skráti o 1
                                                                                                   # metóda vracia hodnotu odobratého prvku
hodnota=teploty.pop(-1)
print('Zoznam upraveny po odobrani prvku na poslednej pozicii  ma tvar:', teploty) 
print('Odobrali sme hodnotu:', hodnota)
print('Zo zoznamu sme odobrali prvkok',teploty.pop(0),'na prvej pozicii a dostavame novy zoznam v tvare:', teploty) 


print('Prazdny zoznam upraveny o odobranu hodnotu ma tvar:', list().pop(0))                        # ak bol zoznam prázdny, tak funkcia nič nevracia ale spadne na chybe




# metóda remove() je mutable                                                                      # metóda remove(hodnota) odoberie zo zoznamu prvý výskyt prvku s danou hodnotou a
                                                                                                  # zoznam sa tým skráti o 1, metóda nič nevracia
teploty.remove(24)
print('Zoznam upraveny po odobrani prvku 24 pri prvom vyskyte ma tvar:', teploty) 
print('Zoznam upraveny po odobrani prvku 2 pri prvom vyskyte ma tvar:', teploty.remove(2))        # ak sa daná hodnota v zozname nenachádza, metóda spadne na chybe




# metóda sort() je mutable                                                                        # metóda sort() zmení poradie prvkov zoznamu tak, aby boli usporiadané vzostupne                                                             
                                                                                                  # zoznam takto nemení svoju dĺžku, metóda nič nevracia
teploty.sort()                                                                                           
print('Zoznam po vzostupnom preusporiadani hodnot ma tvar:', teploty)

pismena=['a','A','d','C']
print('Povodny zoznam znakov v zozname pismena ma tvar:', pismena)

pismena.sort()
print('Zoznam znakov po vzostupnom preusporiadani ma tvar:', pismena)

mix=teploty+pismena                                                                                # ak sa prvky v zozname nedajú navzájom porovnávať (napr. sú tam čísla aj reťazce),
mix.sort()                                                                                         # tak funkcia spadne na chybe


